org.gradle.platform.base

## Interface ComponentSpecContainer

- All Superinterfaces:
    Collection<ComponentSpec>, org.gradle.util.Configurable<NamedDomainObjectContainer<ComponentSpec>>, DomainObjectCollection<ComponentSpec>, ExtensiblePolymorphicDomainObjectContainer<ComponentSpec>, Iterable<ComponentSpec>, NamedDomainObjectCollection<ComponentSpec>, NamedDomainObjectContainer<ComponentSpec>, NamedDomainObjectSet<ComponentSpec>, PolymorphicDomainObjectContainer<ComponentSpec>, Set<ComponentSpec>

      @Incubating
      public interface ComponentSpecContainer
      extends ExtensiblePolymorphicDomainObjectContainer<ComponentSpec>

  A container of software components. TODO:DAZ Merge with org.gradle.api.component.SoftwareComponentContainer

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerDefaultFactory, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`